Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059019 - paprefs pulls Apper as dependency
Summary: paprefs pulls Apper as dependency
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: paprefs
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 01:54 UTC by Markus S.
Modified: 2015-06-29 14:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:50:41 UTC


Attachments (Terms of Use)

Description Markus S. 2014-01-29 01:54:57 UTC
For whatever reason installing paprefs pulls Apper – a KDE package manager – as dependendy.


sudo yum install paprefs
Loaded plugins: etckeeper, langpacks, priorities, refresh-packagekit, refresh-updatesd, versionlock
30 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package paprefs.x86_64 0:0.9.10-5.fc20 will be installed
--> Processing Dependency: pulseaudio-module-gconf for package: paprefs-0.9.10-5.fc20.x86_64
--> Processing Dependency: PackageKit-session-service for package: paprefs-0.9.10-5.fc20.x86_64
--> Processing Dependency: libglademm-2.4.so.1()(64bit) for package: paprefs-0.9.10-5.fc20.x86_64
--> Processing Dependency: libgconfmm-2.6.so.1()(64bit) for package: paprefs-0.9.10-5.fc20.x86_64
--> Running transaction check
---> Package apper.x86_64 0:0.8.1-2.fc20 will be installed
---> Package gconfmm26.x86_64 0:2.28.3-6.fc20 will be installed
---> Package libglademm24.x86_64 0:2.6.7-9.fc20 will be installed
---> Package pulseaudio-module-gconf.x86_64 0:4.0-9.gitf81e3.fc20 will be installed
--> Finished Dependency Resolution
--> Finding unneeded leftover dependencies
Found and removing 0 unneeded dependencies

Dependencies Resolved

==================================================================================================================================================================
 Package                                         Arch                           Version                                     Repository                       Size
==================================================================================================================================================================
Installing:
 paprefs                                         x86_64                         0.9.10-5.fc20                               fedora                           68 k
Installing for dependencies:
 apper                                           x86_64                         0.8.1-2.fc20                                updates                         985 k
 gconfmm26                                       x86_64                         2.28.3-6.fc20                               fedora                           42 k
 libglademm24                                    x86_64                         2.6.7-9.fc20                                fedora                           37 k
 pulseaudio-module-gconf                         x86_64                         4.0-9.gitf81e3.fc20                         updates                          17 k

Transaction Summary
==================================================================================================================================================================
Install  1 Package (+4 Dependent packages)

Total download size: 1.1 M
Installed size: 4.8 M

Comment 1 Michel Alexandre Salim 2014-01-29 02:54:13 UTC
Weird, I don't get apper pulled in. Probably because I already have another package installed that provides that dependency.

Using repoquery --provides apper, repoquery --requires paprefs and then repoquery --whatprovides PackageKit-session-service, it could be that you don't have gnome-packagekit installed, which would provide that dependency.

What desktop are you running?

Comment 2 Markus S. 2014-01-29 14:01:55 UTC
Yes, I don't have Gnome PackageKit installed. I use Plasma Desktop and YumEx as graphical package manager.

Why would a PulseAudio preferences app require a PackageKit frontend anyway?

Comment 3 Michel Alexandre Salim 2014-01-30 07:17:49 UTC
From the home page,

"There is an implicit dependency on PackageKit. If you don't install PackageKit the 'Install' buttons in the UI for installing necessary PulseAudio plugins won't work."

Since Fedora's RPM and packaging guidelines do not sanction the use of soft dependencies, we had to choose between not listing the suggested/recommended dependency on PackageKit altogether, and making it a hard dependency.

Comment 4 Fedora End Of Life 2015-05-29 10:43:34 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Franco Bugnano 2015-06-06 08:03:30 UTC
This problem still exists in Fedora 22, when installing paprefs using dnf, a lot of KDE related dependencies get installed.
I know that it is not easy to implement, but it would be great if in this case the PackageKit frontend of the currently used desktop environment gets installed, instead of defaulting to KDE.

Comment 6 Fedora End Of Life 2015-06-29 14:50:41 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.